---
- name: Simple select group query to zarcillo
  tags:
    - info_zarcillo
    - zarcillo
  community.mysql.mysql_query:
    login_db: zarcillo
    query: select `group` from instances where server like '%{{ copy_mariadb_host_src_host_short }}%'
    # host: localhost
    login_unix_socket: /run/mysqld/mysqld.sock
  delegate_to: db1215.eqiad.wmnet
  become: true
  become_method: ansible.builtin.sudo
  run_once: true
  check_mode: false # Runs even in check
  register: zarcillo_group
  failed_when: zarcillo_group.rowcount[0] > 1

- name: Simple section group query to zarcillo
  tags:
    - info_zarcillo
    - zarcillo
  community.mysql.mysql_query:
    login_db: zarcillo
    query: select `section` from section_instances where instance like '%{{ copy_mariadb_host_src_host_short }}%'
    # host: localhost
    login_unix_socket: /run/mysqld/mysqld.sock
  delegate_to: db1215.eqiad.wmnet
  become: true
  become_method: sudo
  run_once: true
  check_mode: false # Runs even in check
  register: zarcillo_section
  failed_when: zarcillo_section.rowcount[0] > 1

- name: Set facts from query results
  tags:
    - info_zarcillo
    - zarcillo
  ansible.builtin.set_fact:
    mariadb_group: "{{ zarcillo_group.query_result[0][0]['group'] }}"
    mariadb_section: "{{ zarcillo_section.query_result[0][0]['section'] }}"

- name: Zarcillo SQL rendering for new host
  tags:
    - clone
    - zarcillo
    - info_zarcillo
  ansible.builtin.template:
    src: update_zarcillo.j2
    dest: "/home/arnaudb/zarcillo-{{ copy_mariadb_host_dst_host }}.sql"
    mode: "0644"
    owner: arnaudb
    group: wikidev
  delegate_to: db1215.eqiad.wmnet
  run_once: true
